For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTBatch Operation
      • GETGet Records
      • POSTInsert Records
      • DELDelete Records
      • GETGet Record By ID
      • PUTUpdate Record
      • DELDelete Record
LogoLogo
Login
Login
Data APIRecords

Get Record By ID

GET
/v1/vaults/:vaultID/:objectName/:ID
GET
/v1/vaults/:vaultID/:objectName/:ID
$curl https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/objectName/ID \
> -H "Authorization: Bearer <token>"
1{
2 "fields": {
3 "id_proof": "https://<aws-url>/f244fg04bgh876qemk6c3a32256e2k90/record_file/cd1d815aa09b4cbfbb803bd20349f202/c2d1debe468923c08f32470a9dh789f9/f1dbc55c-7c9b-495d-9a36-72bb2b619202/8fa99367cf58h5w296eaf15d6f42a4d237cbab65?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=<aws-credential>&X-Amz-Date=20230622T100910Z&X-Amz-Expires=900&X-Amz-SignedHeaders=host&X-Amz-Signature=<aws-signature>",
4 "name": "Brook",
5 "ssn": "167-45-7645"
6 }
7}
Returns the specified record from a table.
Was this page helpful?
Previous

Update Record

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
objectNamestringRequired
IDstringRequired

Query parameters

redactionenumOptional
Allowed values:
tokenizationbooleanOptional
fieldslist of stringsOptional
downloadURLbooleanOptional
returnFileMetadatabooleanOptional

Response

OK
fieldsmap from strings to any

Fields and values for the record. For example, {'field_1':'value_1', 'field_2':'value_2'}.

tokensmap from strings to any

Fields and tokens for the record. For example, {'field_1':'token_1', 'field_2':'token_2'}.

fileMetadatamap from strings to objects
Metadata for the uploaded file, keyed by dynamic column name.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error